## org.hornetq.api.core.management
Class MessageCounterInfo

    java.lang.Object
      org.hornetq.api.core.management.MessageCounterInfo

    public class MessageCounterInfo

extends Object

Helper class to create Java Objects from the JSON serialization returned by `QueueControl.listMessageCounter()`.

Author:
  Jeff Mesnil

Constructor Summary
`MessageCounterInfo(String name, String subscription, boolean durable, long count, long countDelta, int depth, int depthDelta, String lastAddTimestamp, String udpateTimestamp)`

Method Summary
`static MessageCounterInfo` `fromJSON(String jsonString)` Returns an array of RoleInfo corresponding to the JSON serialization returned by `QueueControl.listMessageCounter()`.
`long` `getCount()` Returns the number of messages added to the queue since it was created.
`long` `getCountDelta()` Returns the number of messages added to the queue since the last counter sample.
`int` `getDepth()` Returns the number of messages currently in the queue.
`int` `getDepthDelta()` Returns the number of messages in the queue since last counter sample.
`String` `getLastAddTimestamp()` Returns the timestamp of the last time a message was added to the queue.
`String` `getName()` Returns the name of the queue.
`String` `getSubscription()` Returns the name of the subscription.
`String` `getUdpateTimestamp()` Returns the timestamp of the last time the queue was updated.
`boolean` `isDurable()` Returns whether the queue is durable.
`static String` `toJSon(org.hornetq.core.messagecounter.MessageCounter counter)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageCounterInfo

    public MessageCounterInfo(String name,
                              String subscription,
                              boolean durable,
                              long count,
                              long countDelta,
                              int depth,
                              int depthDelta,
                              String lastAddTimestamp,
                              String udpateTimestamp)

Method Detail

### toJSon

    public static String toJSon(org.hornetq.core.messagecounter.MessageCounter counter)
                         throws Exception

  Throws:
    `Exception`

### fromJSON

    public static MessageCounterInfo fromJSON(String jsonString)
                                       throws Exception

  Returns an array of RoleInfo corresponding to the JSON serialization returned by `QueueControl.listMessageCounter()`.

  Throws:
    `Exception`

### getName

    public String getName()

  Returns the name of the queue.

### getSubscription

    public String getSubscription()

  Returns the name of the subscription.

### isDurable

    public boolean isDurable()

  Returns whether the queue is durable.

### getCount

    public long getCount()

  Returns the number of messages added to the queue since it was created.

### getCountDelta

    public long getCountDelta()

  Returns the number of messages added to the queue since the last counter sample.

### getDepth

    public int getDepth()

  Returns the number of messages currently in the queue.

### getDepthDelta

    public int getDepthDelta()

  Returns the number of messages in the queue since last counter sample.

### getLastAddTimestamp

    public String getLastAddTimestamp()

  Returns the timestamp of the last time a message was added to the queue.

### getUdpateTimestamp

    public String getUdpateTimestamp()

  Returns the timestamp of the last time the queue was updated.

Copyright © 2009 Red Hat Inc. All Rights Reserved.